Uploaded image for project: 'Documentation'
  1. Documentation
  2. DOCS-8279

Systemd support

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.4.0, mongodb-3.4p1
    • Component/s: None
    • Labels:
      None
    • # Replies:
      1
    • Last comment by Customer:
      true
    • Story Points:
      0.5
    • Sprint:
      KANBAN BUCKET

      Description

      MongoDB 3.4 replaces the old init scripts with systemd service files on newly-supported systemd platforms (e.g. SUSE 13).

      Tasks:

      • Vet service management examples to ensure that they work with both systemd and the init scripts.
      • There is a possibility that init scripts will be replaced with systemd service files on existing systemd platforms (e.g. Red Hat 7, Ubuntu 16.04). If this is the case, upgrading to 3.4 will require either rebooting the computer, or manually shutting down the instance.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              andrew.aldridge Andrew Aldridge
              Reporter:
              ramon.fernandez Ramon Fernandez Marina
              Participants:
              Last commenter:
              Andrew Aldridge
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Days since reply:
                2 years, 38 weeks, 2 days ago
                Date of 1st Reply: